For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList integration configs
      • GETGet integration config status
      • POSTCreate or update an integration config
      • DELDelete an integration config
Dashboard
LogoLogo
Runtype APIIntegration Configs

List integration configs

GET
/v1/integration-configs
GET
/v1/integration-configs
$curl https://api.runtype.com/v1/integration-configs \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "daytona": true,
3 "elevenlabs": true,
4 "email": {
5 "canUseCustomSender": true,
6 "customSenderProviders": [
7 "sendgrid",
8 "mailgun",
9 "postmark"
10 ]
11 },
12 "exa": false,
13 "firecrawl": true,
14 "posthog": true,
15 "resend": false
16}
Returns the configuration status of all integration providers for the authenticated user.
Was this page helpful?
Previous

Get integration config status

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Response

Successful response
daytonaboolean
elevenlabsboolean
emailobject
exaboolean
firecrawlboolean
posthogboolean
resendboolean

Errors

401
Unauthorized Error
403
Forbidden Error